Bug 1683421 - edk2: heap buffer overflow in LengthofComponentIdentifier in UdfDxe/FileSystemOperations.c
Summary: edk2: heap buffer overflow in LengthofComponentIdentifier in UdfDxe/FileSyste...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1683424 1683423
Blocks: 1683431
TreeView+ depends on / blocked
 
Reported: 2019-02-26 20:06 UTC by Laura Pardo
Modified: 2019-09-29 15:08 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 07:16:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
TianoCore 828 None None None 2019-07-31 17:16:04 UTC

Description Laura Pardo 2019-02-26 20:06:08 UTC
A vulnerability was found in edk2. A heap buffer overflow in UdfDxe/FileSystemOperations.c when 'LengthofComponentIdentifier' field of a Path Component does not match the data within the relating (Extended) File Entry.


Upstream Bug:
https://bugzilla.tianocore.org/show_bug.cgi?id=828

Upstream Commit:
https://github.com/tianocore/edk2/commit/89f75aa04a97293a8ed9db2a90851a5053730cf5

Comment 1 Laura Pardo 2019-02-26 20:06:41 UTC
Created edk2 tracking bugs for this issue:

Affects: epel-all [bug 1683424]
Affects: fedora-all [bug 1683423]

Comment 3 Riccardo Schirone 2019-03-22 07:16:51 UTC
Closing this in favor of bug 1691640.


Note You need to log in before you can comment on or make changes to this bug.